Discussion:
svn commit: r217090 - head/etc
(too old to reply)
Jaakko Heinonen
2011-01-07 10:59:23 UTC
Permalink
Author: jh
Date: Fri Jan 7 10:59:22 2011
New Revision: 217090
URL: http://svn.freebsd.org/changeset/base/217090

Log:
Warn if rules could not be read from a ruleset file. Now at least
something gets logged if the file has syntax errors.

PR: conf/91342
Silence on: freebsd-rc

Modified:
head/etc/rc.subr

Modified: head/etc/rc.subr
==============================================================================
--- head/etc/rc.subr Fri Jan 7 08:45:56 2011 (r217089)
+++ head/etc/rc.subr Fri Jan 7 10:59:22 2011 (r217090)
@@ -1349,7 +1349,10 @@ devfs_init_rulesets()
return
fi
for file in $devfs_rulesets; do
- devfs_rulesets_from_file $file || return 1
+ if ! devfs_rulesets_from_file $file; then
+ warn "$_me: could not read rules from $file"
+ return 1
+ fi
done
devfs_rulesets_init=1
debug "$_me: devfs rulesets initialized"
Doug Barton
2011-01-07 18:19:38 UTC
Permalink
Post by Jaakko Heinonen
Author: jh
Date: Fri Jan 7 10:59:22 2011
New Revision: 217090
URL: http://svn.freebsd.org/changeset/base/217090
Warn if rules could not be read from a ruleset file. Now at least
something gets logged if the file has syntax errors.
PR: conf/91342
Silence on: freebsd-rc
If by silence you mean that there was no comment on the PR in the future
please don't take that as tacit approval. There are a non-trivial number
of PRs assigned to -rc, and historically the practice has been not to
comment on them until someone indicates that they actually plan to do
something about it.

In the future it would be great if you could send a note to the list
indicating that you plan to make a change, and then wait say 2 or 3
non-{weekend|holiday} days for feedback.


Doug
--
Nothin' ever doesn't change, but nothin' changes much.
-- OK Go

Breadth of IT experience, and depth of knowledge in the DNS.
Yours for the right price. :) http://SupersetSolutions.com/
Doug Barton
2011-01-07 19:18:52 UTC
Permalink
Hi,
Post by Doug Barton
If by silence you mean that there was no comment on the PR in the future
please don't take that as tacit approval. There are a non-trivial number
of PRs assigned to -rc, and historically the practice has been not to
comment on them until someone indicates that they actually plan to do
something about it.
In the future it would be great if you could send a note to the list
indicating that you plan to make a change, and then wait say 2 or 3
non-{weekend|holiday} days for feedback.
http://lists.freebsd.org/pipermail/freebsd-rc/2010-December/002142.html
I waited>2 weeks for comments and then committed the patch. Admittedly
I posted the patch as a bug follow-up but I made sure that the message
ended up to freebsd-rc list.
Yeah, that's Ok, and I should have mentioned that this change is fine.
My point more generally is that regular e-mail about proposed changes is
more likely to get useful attention and feedback.


Doug
--
Nothin' ever doesn't change, but nothin' changes much.
-- OK Go

Breadth of IT experience, and depth of knowledge in the DNS.
Yours for the right price. :) http://SupersetSolutions.com/
Jaakko Heinonen
2011-01-07 19:00:37 UTC
Permalink
Hi,
Post by Doug Barton
If by silence you mean that there was no comment on the PR in the future
please don't take that as tacit approval. There are a non-trivial number
of PRs assigned to -rc, and historically the practice has been not to
comment on them until someone indicates that they actually plan to do
something about it.
In the future it would be great if you could send a note to the list
indicating that you plan to make a change, and then wait say 2 or 3
non-{weekend|holiday} days for feedback.
I mean this message:

http://lists.freebsd.org/pipermail/freebsd-rc/2010-December/002142.html

I waited >2 weeks for comments and then committed the patch. Admittedly
I posted the patch as a bug follow-up but I made sure that the message
ended up to freebsd-rc list.
--
Jaakko
Loading...